import { Component } from '@angular/core';
import { ModalDismissReasons } from '../modal';
import { RebirthNGConfig } from '../rebirth-ng.config';
var ConfirmDialogComponent = (function () {
    function ConfirmDialogComponent(rebirthUIConfig) {
        this.rebirthUIConfig = rebirthUIConfig;
        this.btnYes = rebirthUIConfig.dialog.button.yes;
        this.btnNo = rebirthUIConfig.dialog.button.no;
    }
    ConfirmDialogComponent.prototype.yes = function () {
        this.dismiss.emit(ModalDismissReasons.YES);
    };
    ConfirmDialogComponent.prototype.no = function () {
        this.dismiss.error(ModalDismissReasons.NO);
    };
    return ConfirmDialogComponent;
}());
export { ConfirmDialogComponent };
ConfirmDialogComponent.decorators = [
    { type: Component, args: [{
                selector: 're-confirm-dialog',
                template: "\n    <div class=\"modal-header\">\n      <button type=\"button\" class=\"close\" data-dismiss=\"modal\" aria-label=\"Close\" (click)=\"no()\">\n        <span aria-hidden=\"true\">&times;</span></button>\n      <h4 class=\"modal-title\">{{context.title}}</h4>\n    </div>\n    <div class=\"modal-body\">\n      <div *ngIf=\"!context.html\">\n        <div *ngIf=\"context.icon\" class=\"dialog-icon\"><i class=\"{{context.icon}}\"></i></div>\n        <div class=\"dialog-content\">{{context.content}}</div>\n      </div>\n      <div *ngIf=\"context.html\">\n        <div *ngIf=\"context.icon\" class=\"dialog-icon\"><i class=\"{{context.icon}}\"></i></div>\n        <div class=\"dialog-content\" [innerHTML]=\"context.content\"></div>\n      </div>\n    </div>\n    <div class=\"modal-footer\">\n      <button type=\"button\" class=\"btn btn-primary\" (click)=\"yes()\">{{context.yes || btnYes}}</button>\n      <button type=\"button\" class=\"btn btn-warning\" (click)=\"no()\">{{context.no || btnNo}}</button>\n    </div>\n  ",
                styles: ["\n    .dialog-icon{display:table-cell;vertical-align:middle;padding:1rem}.dialog-content{display:table-cell;vertical-align:middle}\n  "]
            },] },
];
/** @nocollapse */
ConfirmDialogComponent.ctorParameters = function () { return [
    { type: RebirthNGConfig, },
]; };
//# sourceMappingURL=confirm-dialog.component.js.map