import { Component, Input, ViewChild, EventEmitter, Output, Renderer2 } from '@angular/core';
import { ModalWindowComponent } from './modal-window.component';
import { DocumentRef } from '../window-ref';
import 'rxjs/add/operator/do';
var ModalComponent = (function () {
    function ModalComponent(renderer, documentRef) {
        this.renderer = renderer;
        this.documentRef = documentRef;
        this.isOpen = false;
        this.dismiss = new EventEmitter();
        this.instanceCount = 0;
    }
    ModalComponent.prototype.open = function () {
        this.isOpen = true;
        this.modalWindowComponent.open();
        this.toggleBodyClass(true);
    };
    ModalComponent.prototype.close = function () {
        var _this = this;
        return this.modalWindowComponent.close()
            .do(function (_) { return _this.isOpen = false; });
    };
    ModalComponent.prototype.cleanup = function () {
        this.toggleBodyClass(false);
    };
    ModalComponent.prototype.addContent = function (options, instanceCount) {
        this.modalOptions = options;
        this.instanceCount = instanceCount;
        this.modalWindowComponent.addContent(options, this.dismiss);
        return this.dismiss;
    };
    ModalComponent.prototype.toggleBodyClass = function (isAdd) {
        if (isAdd) {
            this.renderer.addClass(this.documentRef.body, ModalComponent.MODEL_OPEN_CSS);
            return;
        }
        this.renderer.removeClass(this.documentRef.body, ModalComponent.MODEL_OPEN_CSS);
    };
    return ModalComponent;
}());
export { ModalComponent };
ModalComponent.MODEL_OPEN_CSS = 'modal-open';
ModalComponent.decorators = [
    { type: Component, args: [{
                selector: 're-modal',
                template: "\n    <re-modal-window [instanceCount]=\"instanceCount\" [isOpen]=\"isOpen\" role=\"dialog\"\n                     class=\"modal fade {{modalOptions.modalClass? modalOptions.modalClass : ''}}\"\n                     [ngClass]=\"{'in': isOpen}\"\n                     [ngStyle]=\"{'display': isOpen ? 'block': 'none','z-index': 1050 + instanceCount *10}\" tabindex=\"-1\">\n\n    </re-modal-window>\n    <re-modal-backdrop [instanceCount]=\"instanceCount\" [modalOptions]=\"modalOptions\" [isOpen]=\"isOpen\"\n                       *ngIf=\"modalOptions.backdrop !== false\"></re-modal-backdrop>\n  "
            },] },
];
/** @nocollapse */
ModalComponent.ctorParameters = function () { return [
    { type: Renderer2, },
    { type: DocumentRef, },
]; };
ModalComponent.propDecorators = {
    'isOpen': [{ type: Input },],
    'dismiss': [{ type: Output },],
    'modalOptions': [{ type: Input },],
    'modalWindowComponent': [{ type: ViewChild, args: [ModalWindowComponent,] },],
};
//# sourceMappingURL=modal.component.js.map