import { Component, Input, Output, EventEmitter } from '@angular/core';
var TreePanelComponent = (function () {
    function TreePanelComponent() {
        this.checkable = false;
        this.allowDraggable = false;
        this.allowMutipleSelected = false;
        this.nodeItemCheckedChanged = new EventEmitter();
    }
    TreePanelComponent.prototype.onNodeItemCheckedChanged = function (node) {
        this.nodeItemCheckedChanged.emit(node);
    };
    return TreePanelComponent;
}());
export { TreePanelComponent };
TreePanelComponent.decorators = [
    { type: Component, args: [{
                selector: 're-tree-panel',
                template: "\n    <ul class=\"list-unstyled\">\n      <li reTreeNode *ngFor=\"let node of treeData\" [node]=\"node\" [textField]=\"textField\" [valueField]=\"valueField\"\n          [iconField]=\"iconField\" [checkable]=\"checkable\" [allowDraggable]=\"allowDraggable\"\n          [nodeItemTemplate]=\"nodeItemTemplate\"\n          [nodeItemToolbarTemplate]=\"nodeItemToolbarTemplate\" [leafIcon]=\"leafIcon\" [expendIcon]=\"expendIcon\"\n          [unExpendIcon]=\"unExpendIcon\" [allowMutipleSelected]=\"allowMutipleSelected\" [parentNode]=\"parentNode\"\n      >\n      </li>\n    </ul>\n  "
            },] },
];
/** @nocollapse */
TreePanelComponent.ctorParameters = function () { return []; };
TreePanelComponent.propDecorators = {
    'treeData': [{ type: Input },],
    'parentNode': [{ type: Input },],
    'valueField': [{ type: Input },],
    'textField': [{ type: Input },],
    'iconField': [{ type: Input },],
    'checkable': [{ type: Input },],
    'allowDraggable': [{ type: Input },],
    'allowMutipleSelected': [{ type: Input },],
    'nodeItemTemplate': [{ type: Input },],
    'nodeItemToolbarTemplate': [{ type: Input },],
    'leafIcon': [{ type: Input },],
    'expendIcon': [{ type: Input },],
    'unExpendIcon': [{ type: Input },],
    'nodeItemCheckedChanged': [{ type: Output },],
};
//# sourceMappingURL=tree-panel.component.js.map