import { Directive, Inject, Input, LOCALE_ID } from '@angular/core';
import { NG_VALIDATORS } from '@angular/forms';
import { includesValidator, equalToValidator, rangeLengthValidator, minValidator, maxValidator, rangeValidator, digitsValidator, numberValidator, urlValidator, emailValidator, dateValidator, dateISOValidator, jsonValidator, base64Validator, phoneValidator, uuidValidator, equalValidator, beforeDateValidator, afterDateValidator } from './rebirth-validators';
var RangeLengthDirective = (function () {
    function RangeLengthDirective() {
    }
    RangeLengthDirective.prototype.validate = function (control) {
        return rangeLengthValidator(this.reRangeLength)(control);
    };
    return RangeLengthDirective;
}());
export { RangeLengthDirective };
RangeLengthDirective.decorators = [
    { type: Directive, args: [{
                selector: '[reRangeLength]',
                providers: [{ provide: NG_VALIDATORS, useExisting: RangeLengthDirective, multi: true }]
            },] },
];
/** @nocollapse */
RangeLengthDirective.ctorParameters = function () { return []; };
RangeLengthDirective.propDecorators = {
    'reRangeLength': [{ type: Input },],
};
var MinDirective = (function () {
    function MinDirective() {
    }
    MinDirective.prototype.validate = function (control) {
        return minValidator(this.reMin)(control);
    };
    return MinDirective;
}());
export { MinDirective };
MinDirective.decorators = [
    { type: Directive, args: [{
                selector: '[reMin]',
                providers: [{ provide: NG_VALIDATORS, useExisting: MinDirective, multi: true }]
            },] },
];
/** @nocollapse */
MinDirective.ctorParameters = function () { return []; };
MinDirective.propDecorators = {
    'reMin': [{ type: Input },],
};
var MaxDirective = (function () {
    function MaxDirective() {
    }
    MaxDirective.prototype.validate = function (control) {
        return maxValidator(this.reMax)(control);
    };
    return MaxDirective;
}());
export { MaxDirective };
MaxDirective.decorators = [
    { type: Directive, args: [{
                selector: '[reMax]',
                providers: [{ provide: NG_VALIDATORS, useExisting: MaxDirective, multi: true }]
            },] },
];
/** @nocollapse */
MaxDirective.ctorParameters = function () { return []; };
MaxDirective.propDecorators = {
    'reMax': [{ type: Input },],
};
var RangeDirective = (function () {
    function RangeDirective() {
    }
    RangeDirective.prototype.validate = function (control) {
        return rangeValidator(this.reRange)(control);
    };
    return RangeDirective;
}());
export { RangeDirective };
RangeDirective.decorators = [
    { type: Directive, args: [{
                selector: '[reRange]',
                providers: [{ provide: NG_VALIDATORS, useExisting: RangeDirective, multi: true }]
            },] },
];
/** @nocollapse */
RangeDirective.ctorParameters = function () { return []; };
RangeDirective.propDecorators = {
    'reRange': [{ type: Input },],
};
var DigitsDirective = (function () {
    function DigitsDirective() {
    }
    DigitsDirective.prototype.validate = function (control) {
        return digitsValidator()(control);
    };
    return DigitsDirective;
}());
export { DigitsDirective };
DigitsDirective.decorators = [
    { type: Directive, args: [{
                selector: '[reDigits]',
                providers: [{ provide: NG_VALIDATORS, useExisting: DigitsDirective, multi: true }]
            },] },
];
/** @nocollapse */
DigitsDirective.ctorParameters = function () { return []; };
var NumberDirective = (function () {
    function NumberDirective() {
    }
    NumberDirective.prototype.validate = function (control) {
        return numberValidator()(control);
    };
    return NumberDirective;
}());
export { NumberDirective };
NumberDirective.decorators = [
    { type: Directive, args: [{
                selector: '[reNumber]',
                providers: [{ provide: NG_VALIDATORS, useExisting: NumberDirective, multi: true }]
            },] },
];
/** @nocollapse */
NumberDirective.ctorParameters = function () { return []; };
var UrlDirective = (function () {
    function UrlDirective() {
    }
    UrlDirective.prototype.validate = function (control) {
        return urlValidator()(control);
    };
    return UrlDirective;
}());
export { UrlDirective };
UrlDirective.decorators = [
    { type: Directive, args: [{
                selector: '[reUrl]',
                providers: [{ provide: NG_VALIDATORS, useExisting: UrlDirective, multi: true }]
            },] },
];
/** @nocollapse */
UrlDirective.ctorParameters = function () { return []; };
var EmailDirective = (function () {
    function EmailDirective() {
    }
    EmailDirective.prototype.validate = function (control) {
        return emailValidator()(control);
    };
    return EmailDirective;
}());
export { EmailDirective };
EmailDirective.decorators = [
    { type: Directive, args: [{
                selector: '[reEmail]',
                providers: [{ provide: NG_VALIDATORS, useExisting: EmailDirective, multi: true }]
            },] },
];
/** @nocollapse */
EmailDirective.ctorParameters = function () { return []; };
var DateDirective = (function () {
    function DateDirective() {
    }
    DateDirective.prototype.validate = function (control) {
        return dateValidator()(control);
    };
    return DateDirective;
}());
export { DateDirective };
DateDirective.decorators = [
    { type: Directive, args: [{
                selector: '[reDate]',
                providers: [{ provide: NG_VALIDATORS, useExisting: DateDirective, multi: true }]
            },] },
];
/** @nocollapse */
DateDirective.ctorParameters = function () { return []; };
var DateISODirective = (function () {
    function DateISODirective() {
    }
    DateISODirective.prototype.validate = function (control) {
        return dateISOValidator()(control);
    };
    return DateISODirective;
}());
export { DateISODirective };
DateISODirective.decorators = [
    { type: Directive, args: [{
                selector: '[reDateISO]',
                providers: [{ provide: NG_VALIDATORS, useExisting: DateISODirective, multi: true }]
            },] },
];
/** @nocollapse */
DateISODirective.ctorParameters = function () { return []; };
var JsonDirective = (function () {
    function JsonDirective() {
    }
    JsonDirective.prototype.validate = function (control) {
        return jsonValidator()(control);
    };
    return JsonDirective;
}());
export { JsonDirective };
JsonDirective.decorators = [
    { type: Directive, args: [{
                selector: '[reJson]',
                providers: [{ provide: NG_VALIDATORS, useExisting: JsonDirective, multi: true }]
            },] },
];
/** @nocollapse */
JsonDirective.ctorParameters = function () { return []; };
var Base64Directive = (function () {
    function Base64Directive() {
    }
    Base64Directive.prototype.validate = function (control) {
        return base64Validator()(control);
    };
    return Base64Directive;
}());
export { Base64Directive };
Base64Directive.decorators = [
    { type: Directive, args: [{
                selector: '[reBase64]',
                providers: [{ provide: NG_VALIDATORS, useExisting: Base64Directive, multi: true }]
            },] },
];
/** @nocollapse */
Base64Directive.ctorParameters = function () { return []; };
var PhoneDirective = (function () {
    function PhoneDirective(locale) {
        this.locale = locale;
    }
    PhoneDirective.prototype.validate = function (control) {
        return phoneValidator(this.rePhone || this.locale)(control);
    };
    return PhoneDirective;
}());
export { PhoneDirective };
PhoneDirective.decorators = [
    { type: Directive, args: [{
                selector: '[rePhone]',
                providers: [{ provide: NG_VALIDATORS, useExisting: PhoneDirective, multi: true }]
            },] },
];
/** @nocollapse */
PhoneDirective.ctorParameters = function () { return [
    { type: undefined, decorators: [{ type: Inject, args: [LOCALE_ID,] },] },
]; };
PhoneDirective.propDecorators = {
    'rePhone': [{ type: Input },],
};
var UUIDDirective = (function () {
    function UUIDDirective() {
    }
    UUIDDirective.prototype.validate = function (control) {
        return uuidValidator()(control);
    };
    return UUIDDirective;
}());
export { UUIDDirective };
UUIDDirective.decorators = [
    { type: Directive, args: [{
                selector: '[reUUID]',
                providers: [{ provide: NG_VALIDATORS, useExisting: UUIDDirective, multi: true }]
            },] },
];
/** @nocollapse */
UUIDDirective.ctorParameters = function () { return []; };
var EqualDirective = (function () {
    function EqualDirective() {
    }
    EqualDirective.prototype.validate = function (control) {
        return equalValidator(this.reEqual)(control);
    };
    return EqualDirective;
}());
export { EqualDirective };
EqualDirective.decorators = [
    { type: Directive, args: [{
                selector: '[reEqual]',
                providers: [{ provide: NG_VALIDATORS, useExisting: EqualDirective, multi: true }]
            },] },
];
/** @nocollapse */
EqualDirective.ctorParameters = function () { return []; };
EqualDirective.propDecorators = {
    'reEqual': [{ type: Input },],
};
var IncludesDirective = (function () {
    function IncludesDirective() {
    }
    IncludesDirective.prototype.validate = function (control) {
        return includesValidator(this.reIncludes)(control);
    };
    return IncludesDirective;
}());
export { IncludesDirective };
IncludesDirective.decorators = [
    { type: Directive, args: [{
                selector: '[reIncludes]',
                providers: [{ provide: NG_VALIDATORS, useExisting: IncludesDirective, multi: true }]
            },] },
];
/** @nocollapse */
IncludesDirective.ctorParameters = function () { return []; };
IncludesDirective.propDecorators = {
    'reIncludes': [{ type: Input },],
};
var EqualToDirective = (function () {
    function EqualToDirective() {
    }
    Object.defineProperty(EqualToDirective.prototype, "reEqualTo", {
        set: function (target) {
            this.validatorFn = equalToValidator(target);
        },
        enumerable: true,
        configurable: true
    });
    ;
    EqualToDirective.prototype.validate = function (control) {
        return this.validatorFn(control);
    };
    return EqualToDirective;
}());
export { EqualToDirective };
EqualToDirective.decorators = [
    { type: Directive, args: [{
                selector: '[reEqualTo]',
                providers: [{ provide: NG_VALIDATORS, useExisting: EqualToDirective, multi: true }]
            },] },
];
/** @nocollapse */
EqualToDirective.ctorParameters = function () { return []; };
EqualToDirective.propDecorators = {
    'reEqualTo': [{ type: Input },],
};
var BeforeDateDirective = (function () {
    function BeforeDateDirective() {
    }
    Object.defineProperty(BeforeDateDirective.prototype, "reBeforeDate", {
        set: function (target) {
            this.validatorFn = beforeDateValidator(target);
        },
        enumerable: true,
        configurable: true
    });
    ;
    BeforeDateDirective.prototype.validate = function (control) {
        return this.validatorFn(control);
    };
    return BeforeDateDirective;
}());
export { BeforeDateDirective };
BeforeDateDirective.decorators = [
    { type: Directive, args: [{
                selector: '[reBeforeDate]',
                providers: [{ provide: NG_VALIDATORS, useExisting: BeforeDateDirective, multi: true }]
            },] },
];
/** @nocollapse */
BeforeDateDirective.ctorParameters = function () { return []; };
BeforeDateDirective.propDecorators = {
    'reBeforeDate': [{ type: Input },],
};
var AfterDateDirective = (function () {
    function AfterDateDirective() {
    }
    Object.defineProperty(AfterDateDirective.prototype, "reBeforeDate", {
        set: function (target) {
            this.validatorFn = afterDateValidator(target);
        },
        enumerable: true,
        configurable: true
    });
    ;
    AfterDateDirective.prototype.validate = function (control) {
        return this.validatorFn(control);
    };
    return AfterDateDirective;
}());
export { AfterDateDirective };
AfterDateDirective.decorators = [
    { type: Directive, args: [{
                selector: '[reAfterDate]',
                providers: [{ provide: NG_VALIDATORS, useExisting: AfterDateDirective, multi: true }]
            },] },
];
/** @nocollapse */
AfterDateDirective.ctorParameters = function () { return []; };
AfterDateDirective.propDecorators = {
    'reBeforeDate': [{ type: Input },],
};
//# sourceMappingURL=rebirth-validators.directive.js.map